<div class="update-tenant-profile">
  <app-content-banner [isDashboard]="false" pageName="Interview Outcome"></app-content-banner>
  <!-- <app-placement-outcome [referralType] = "referralType" [updateTenantProfile] = "true"></app-placement-outcome> -->
  <mat-card class="utp-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <mat-expansion-panel expanded='panelExpanded'>
        <mat-expansion-panel-header>
          <mat-panel-title (click)="onExpansionPanelToggle()">
            <mat-icon>{{panelExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
            <span><u>{{panelExpanded  ? 'Hide Details' : 'Show Details' }}</u></span>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <section>
          <p class="banner-header">Client Details:</p>
          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px" class="banner-details">
            <span class="details-text"><b>First Name: </b>
              <span>{{existingPlacementOutcome ? existingPlacementOutcome.firstName : ''}}</span>
            </span>
            <span class="details-text"><b>Last Name: </b>
              <span>{{existingPlacementOutcome ? existingPlacementOutcome.lastName : ''}}</span>
            </span>
            <span class="details-text"><b>SSN: </b>
              <span>XXX-XX-{{(existingPlacementOutcome && existingPlacementOutcome.ssn) ? existingPlacementOutcome.ssn.substr(5,4) : ''}}</span>
            </span>
            <span *ngIf="referralType == 525 || referralType == 526" class="details-text"><b>HRA Client ID: </b>
              <span>{{existingPlacementOutcome ? existingPlacementOutcome.clientID : ''}}</span>
            </span>
            <span class="details-text"><b>DOB: </b>
              <span>{{existingPlacementOutcome ? existingPlacementOutcome.dob : ''}}</span>
            </span>
            <span *ngIf="referralType == 610" class="details-text"><b>Gender: </b>
              <span>{{existingPlacementOutcome ? existingPlacementOutcome.gender : ''}}</span>
            </span>
          </div>
          <p *ngIf="referralType==525 || referralType==526" class="banner-header">Referral Details:</p>
          <div *ngIf="referralType==525 || referralType==526" fxLayout="column" fxLayoutGap="5px"
            class="banner-details">
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div class="details-text"><b>ReferringAgency: </b>
                <span>{{trSelected ?
                        ((trSelected.raAgencyID && trSelected.raSiteID) ?
                          (trSelected.raAgencyNo + ' - ' + trSelected.raAgencyName + ' / ' + trSelected.raSiteNo + ' - ' + trSelected.raSiteName)
                          : ''
                        )
                        : ''
                      }}
                </span>
              </div>
              <div class="details-text"><b>Eligibility: </b>
                <span>{{existingPlacementOutcome ? existingPlacementOutcome.eligibility : ''}}</span>
              </div>
            </div>
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div class="details-text"><b>Referal Date: </b>
                <span>{{existingPlacementOutcome ? existingPlacementOutcome.referralDate : '' | date:'MM/dd/yyyy'}}</span>
              </div>
              <div class="details-text"><b>Placement Criteria: </b>
                <span>{{existingPlacementOutcome ? existingPlacementOutcome.placementCriteria : ''}}</span>
              </div>
            </div>
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div class="details-text"><b>Prioritization: </b>
                <span>{{existingPlacementOutcome ? existingPlacementOutcome.svaPrioritization : ''}}</span>
              </div>
              <div class="details-text"><b>ServiceNeeds: </b>
                <span>{{existingPlacementOutcome ? existingPlacementOutcome.serviceNeeds : ''}}</span>
              </div>
            </div>
          </div>
          <p class="banner-header">Housing Agency/Site Details:</p>
          <div fxLayout="column" fxLayoutGap="5px" class="banner-details">
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div class="details-text"><b>Agency Name: </b>
                <span>{{trSelected ? (trSelected.hpAgencyNo + ' - ' + trSelected.hpAgencyName) : ''}}</span>
              </div>
              <div class="details-text"><b>Site Name: </b>
                <span>{{trSelected ? (trSelected.hpSiteNo + ' - ' + trSelected.hpSiteName) : ''}}</span>
              </div>
              <div class="details-text"><b>Unit#: </b>
                <span>{{trSelected ? trSelected.unitName : ''}}</span>
              </div>
              <!-- <div *ngIf="(referralType == 526 || referralType == 610)" class="stats"><b>Primary Service Contract Type: </b><span>{{trSelected.agreementTypeDescription}}</span></div> -->
              <!-- <div *ngIf="(referralType == 526 || referralType == 610)" class="details-text"><b>Site Type: </b><span>{{trSelected.siteLocationTypeDescription}}</span></div> -->
            </div>
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div *ngIf="referralType == 525" class="details-text"><b>Site Address:
                </b><span>{{trSelected ? trSelected.siteAddress : ''}}</span>
              </div>
              <div class="details-text"><b>Primary Service Contract Type: </b>
                <span>{{trSelected ? trSelected.agreementTypeDescription : ''}}</span>
              </div>
              <div *ngIf="referralType==525" class="details-text"><b></b><span></span></div>
            </div>
          </div>
        </section>
      </mat-expansion-panel>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <!-- Disabled Placement Outcome Form Tab For Update Tenant Profile (Readonly)-->
        <mat-tab>
          <ng-template matTabLabel>
            <span *ngIf="referralType==525">Interview Outcomes</span>
            <span *ngIf="referralType!==525">Move-In Details</span>
          </ng-template>
          <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
            <form [formGroup]="interviewOutcomeGroup">
              <section class="form-section regular-mat-form-field" fxLayout="column">
                <div fxLayout="row" flex="auto" fxLayout.lt-md="column" fxLayoutGap="15px">
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="blue-label">Entered By: </mat-label>{{existingPlacementOutcome ? existingPlacementOutcome.createdByName : ''}}
                  </div>
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="blue-label">Entered Date: </mat-label>{{existingPlacementOutcome ? (existingPlacementOutcome.createdDate | date:'MM/dd/yyyy') : ''}}
                  </div>
                </div>

                <div *ngIf="referralType==525" class="dateTimeLocation" fxLayout="row" flex="auto" fxLayout.lt-md="column" fxLayoutGap="15px">
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="blue-label">Interview Date: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="{{existingPlacementOutcome ? existingPlacementOutcome.interviewDate : '' | date:'MM/dd/yyyy'}}" disabled>
                      <mat-icon matSuffix class="down-arrow-dim">event</mat-icon>
                    </mat-form-field>
                  </div>
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="blue-label">Interview Time: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="{{existingPlacementOutcome ? existingPlacementOutcome.interviewTime : ''}}" disabled>
                    </mat-form-field>
                  </div>
                  <div fxLayout="row" fxLayoutGap="10px" *ngIf="referralType==525">
                    <mat-label class="blue-label">Interview Location: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="{{existingPlacementOutcome ? existingPlacementOutcome.interviewLocation : ''}}" readonly disabled>
                    </mat-form-field>
                  </div>
                </div>

                <div class="interviewOutcomeForm">
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Was Interview Conducted: </mat-label>
                    <mat-form-field appearance="outline">
                      <!-- <mat-select formControlName="wasInterviewConductedCtrl" placeholder="Select" disabled> -->
                      <mat-select formControlName="wasInterviewConductedCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngFor="let intrvwConducted of wasInterviewConducted"
                          [value]="intrvwConducted.refGroupDetailID">
                          {{ intrvwConducted.refGroupDetailDescription }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                  <div
                    *ngIf="referralType == 526 || referralType == 610"
                    fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Referral Received From: </mat-label>
                    <mat-form-field appearance="outline">
                      <!-- <mat-select formControlName="referralReceivedFromCtrl" placeholder="Select" disabled> -->
                      <mat-select formControlName="referralReceivedFromCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngFor="let agency of allActiveAgencies"
                          [value]="agency.agencyID">
                          {{ agency.agencyNo + ' - ' + agency.agencyName }}
                        </mat-option>
                        <mat-option [value]="-2">Other</mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div *ngIf="(referralType == 526 || referralType == 610) && existingPlacementOutcome.referralReceivedType == -2" fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Specify: </mat-label>
                    <mat-form-field appearance="outline">
                      <textarea matInput placeholder="{{existingPlacementOutcome ? existingPlacementOutcome.referralReceivedOtherSpecify : ''}}" rows="4" disabled></textarea>
                    </mat-form-field>
                  </div>

                  <div *ngIf="(referralType == 526 || referralType == 610)" fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Referral Received Date: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="{{existingPlacementOutcome ? (existingPlacementOutcome.referralReceivedDate | date:'MM/dd/yyyy'): 'MM/DD/YYYY'}}" disabled>
                      <mat-icon matSuffix class="down-arrow-dim">event</mat-icon>
                    </mat-form-field>
                  </div>
                  <div *ngIf="(referralType == 526 || referralType == 610)" fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Interview Date: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="{{existingPlacementOutcome ? (existingPlacementOutcome.interviewDate | date:'MM/dd/yyyy'): 'MM/DD/YYYY'}}" disabled>
                      <mat-icon matSuffix class="down-arrow-dim">event</mat-icon>
                    </mat-form-field>
                  </div>

                  <div *ngIf="existingPlacementOutcome && referralType==525 && existingPlacementOutcome.wasInterviewConducted == 33" fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Interview Outcome:</mat-label>
                    <mat-form-field appearance="outline">
                      <!-- <mat-select formControlName="interviewOutcomeCtrl" placeholder="Select" disabled> -->
                      <mat-select formControlName="interviewOutcomeCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngFor="let intrvwOutcome of interviewOutcome"
                          [value]="intrvwOutcome.refGroupDetailID">
                          {{ intrvwOutcome.refGroupDetailDescription }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div *ngIf="existingPlacementOutcome && referralType==525 && existingPlacementOutcome.interviewOutcomeType == 541" fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Placement Outcome: </mat-label>
                    <mat-form-field appearance="outline">
                      <!-- <mat-select formControlName="placementOutcomeCtrl" placeholder="Select" disabled> -->
                      <mat-select formControlName="placementOutcomeCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngFor="let plcmtOutcome of placementOutcome" [value]="plcmtOutcome.refGroupDetailID">
                          {{ plcmtOutcome.refGroupDetailDescription }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div
                    *ngIf="(existingPlacementOutcome.placementOutcomeType && existingPlacementOutcome.placementOutcomeType == 546 && referralType == 525)
                          || (referralType == 526 || referralType == 610)"
                    fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Move In-Date: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="{{existingPlacementOutcome ? (existingPlacementOutcome.initialMoveInDate? (existingPlacementOutcome.initialMoveInDate | date:'MM/dd/yyyy') : (existingPlacementOutcome.moveInDate | date:'MM/dd/yyyy')): 'MM/DD/YYYY'}}" disabled>
                      <mat-icon matSuffix class="down-arrow-dim">event</mat-icon>
                    </mat-form-field>
                  </div>


                  <div *ngIf="existingPlacementOutcome.placementOutcomeType && existingPlacementOutcome.placementOutcomeType == 545 && referralType == 525"
                    fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Expected Move In-Date: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="{{existingPlacementOutcome ? (existingPlacementOutcome.expectedMoveInDate | date:'MM/dd/yyyy'): 'MM/DD/YYYY'}}" disabled>
                      <mat-icon matSuffix class="down-arrow-dim">event</mat-icon>
                    </mat-form-field>
                  </div>

                  <div
                    *ngIf="existingPlacementOutcome.placementOutcomeType && (existingPlacementOutcome.placementOutcomeType == 545 || existingPlacementOutcome.placementOutcomeType == 546) && referralType == 525"
                    fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                    <div fxLayout="row" fxLayoutGap="10px">
                      <mat-label class="blue-label">Unit Number: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput placeholder="{{existingPlacementOutcome ? existingPlacementOutcome.unitName : ''}}" disabled>
                        <mat-icon matSuffix class="down-arrow-dim">arrow_drop_down</mat-icon>
                      </mat-form-field>
                    </div>
                  </div>

                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Rent/Client Contribution: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="{{existingPlacementOutcome ? existingPlacementOutcome.initialClientRentalContribution : ''}}" disabled>
                    </mat-form-field>
                  </div>

                  <div
                  *ngIf="(existingPlacementOutcome.placementOutcomeType && existingPlacementOutcome.placementOutcomeType == 546)
                          || (referralType == 526 || referralType == 610)"
                    fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Income Source: </mat-label>
                    <mat-form-field appearance="outline">
                      <!-- <mat-select formControlName="incomeSourceCtrl" placeholder="Select" multiple disabled> -->
                      <mat-select formControlName="incomeSourceCtrl" placeholder="Select" multiple>
                        <mat-option *ngFor="let income of incomeSource" [value]="income.refGroupDetailID">{{ income.refGroupDetailDescription }}</mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div
                    *ngIf="wasThereInitialOtherIncomeSource"
                    fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Specify: </mat-label>
                    <mat-form-field appearance="outline">
                      <textarea matInput placeholder="{{existingPlacementOutcome ? existingPlacementOutcome.initialIncomeSourceOtherSpecify : ''}}" rows="4" disabled></textarea>
                    </mat-form-field>
                  </div>

                  <div
                    *ngIf="existingPlacementOutcome && referralType==525 &&
                          (existingPlacementOutcome.wasInterviewConducted == 34 ||
                            (existingPlacementOutcome.interviewOutcomeType == 542 || existingPlacementOutcome.interviewOutcomeType == 543 || existingPlacementOutcome.interviewOutcomeType == 544)
                          )"
                    fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Reason: </mat-label>
                    <mat-form-field appearance="outline">
                      <!-- <input matInput placeholder="{{existingPlacementOutcome.wasInterviewConducted == 34 && intrvwNotConductedReasonDisplay ? intrvwNotConductedReasonDisplay : ''}}" disabled>
                      <input matInput placeholder="{{existingPlacementOutcome.interviewOutcomeType == 542 && intrvwOutcomePendingReasonDisplay ? intrvwOutcomePendingReasonDisplay : ''}}" disabled>
                      <input matInput placeholder="{{existingPlacementOutcome.interviewOutcomeType == 543 &&clientDidNotAcceptHousingReasonDisplay ? clientDidNotAcceptHousingReasonDisplay : ''}}" disabled>
                      <input matInput placeholder="{{existingPlacementOutcome.interviewOutcomeType == 544 && hpDidNotAcceptHousingReasonDisplay ? hpDidNotAcceptHousingReasonDisplay : ''}}" disabled>
                      <mat-icon matSuffix class="down-arrow-dim">arrow_drop_down</mat-icon> -->
                      <!-- <mat-select formControlName="reasonCtrl" placeholder="Select" disabled> -->
                      <mat-select formControlName="reasonCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <span *ngIf="existingPlacementOutcome && existingPlacementOutcome.wasInterviewConducted == 34">
                          <mat-option *ngFor="let reason of interviewNotConductedReasons" [value]="reason.refGroupDetailID">
                            {{ reason.refGroupDetailDescription }}
                          </mat-option>
                        </span>
                        <span *ngIf="existingPlacementOutcome && existingPlacementOutcome.interviewOutcomeType == 542">
                          <mat-option *ngFor="let reason of interviewOutcomePendingReasons" [value]="reason.refGroupDetailID">
                            {{ reason.refGroupDetailDescription }}
                          </mat-option>
                        </span>
                        <span *ngIf="existingPlacementOutcome && existingPlacementOutcome.interviewOutcomeType == 543">
                          <mat-option *ngFor="let reason of clientDidNotAcceptHousingReasons" [value]="reason.refGroupDetailID">
                            {{ reason.refGroupDetailDescription }}
                          </mat-option>
                        </span>
                        <span *ngIf="existingPlacementOutcome && existingPlacementOutcome.interviewOutcomeType == 544">
                          <mat-option *ngFor="let reason of hpDidNotAcceptClientReasons" [value]="reason.refGroupDetailID">
                            {{ reason.refGroupDetailDescription }}
                          </mat-option>
                        </span>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div
                    *ngIf="(existingPlacementOutcome && existingPlacementOutcome.wasInterviewConducted == 34) ||
                        (existingPlacementOutcome &&
                          (existingPlacementOutcome.interviewOutcomeType == 542 || existingPlacementOutcome.interviewOutcomeType == 543 || existingPlacementOutcome.interviewOutcomeType == 544) ||
                          (existingPlacementOutcome.placementOutcomeType && (existingPlacementOutcome.placementOutcomeType == 545 || existingPlacementOutcome.placementOutcomeType == 546))
                        ) || (referralType == 526 || referralType == 610)"
                    fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                    <div fxLayout="row" fxLayoutGap="10px">
                      <mat-label [ngClass]="[(existingPlacementOutcome &&
                                              (existingPlacementOutcome.wasInterviewConducted == 34) ||
                                              (existingPlacementOutcome.wasInterviewConducted == 33 &&
                                                (existingPlacementOutcome.interviewOutcomeType == 542 ||
                                                  existingPlacementOutcome.interviewOutcomeType == 543 ||
                                                  existingPlacementOutcome.interviewOutcomeType == 544
                                                )
                                              ) ||
                                              (existingPlacementOutcome.interviewOutcomeType == 541 && (existingPlacementOutcome.placementOutcomeType && existingPlacementOutcome.placementOutcomeType == 545))
                                            ) ? 'required-label-color': 'blue-label']">Comments: </mat-label>
                      <mat-form-field appearance="outline">
                        <textarea matInput placeholder="{{existingPlacementOutcome ? existingPlacementOutcome.comments : ''}}" rows="5" disabled></textarea>
                      </mat-form-field>
                    </div>
                  </div>
                </div>
              </section>
            </form>
          </div>
        </mat-tab>
        <!-- Update Tenant Profile Tab -->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Tenant Profile</span>
          </ng-template>
          <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
            <form [formGroup]="updateTenantProfileGroup">
              <section class="form-section regular-mat-form-field" fxLayout="column">
                <div class="interviewOutcomeForm">
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="blue-label">Move-In Date: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="{{existingPlacementOutcome.moveInDate}}" readonly disabled>
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Rent/Client Contribution: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput formControlName="updateClientRentalContributionCtrl" digitOnly autocomplete="off">
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Income Source: </mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select (openedChange)="onUpdateMultiIncomeSourceSelected($event)"
                        formControlName="updateIncomeSourceCtrl" placeholder="Select" multiple>
                        <mat-option *ngFor="let income of incomeSource" [value]="income.refGroupDetailID">
                          {{ income.refGroupDetailDescription }}</mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div *ngIf="(isThereOtherIncomeSource)" fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Specify: </mat-label>
                    <mat-form-field appearance="outline">
                      <textarea matInput formControlName="updateSpecifyIncomeSourceCtrl"
                        placeholder="Specify Comments here..." rows="4"></textarea>
                    </mat-form-field>
                  </div>
                </div>
              </section>
            </form>
          </div>
        </mat-tab>
      </mat-tab-group>
      <div class="btn-section mat-elevation-z4" fxLayout="row">
        <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
          <button type="button" *ngIf="selectedTab == 1" (click)="onUpdate()" mat-raised-button color="primary">Update</button>
          <button type="button" (click)="onExitClick()" mat-raised-button color="primary">Exit</button>
        </span>
      </div>
    </mat-card-content>
  </mat-card>

</div>
